Create a project
Without permissions, the project gets the base permissions of the merchant.
apiKeyAuthorizationBasic <token>HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.
merchant_id*stringThe ID of the merchant, or self for the merchant of the credentials.
application/json- body
external_project_id?stringYour identifier of the project.
status*string"inactive""active-testing""active-production"trade_name*stringdescription*stringwebsite_url*stringwebhook_url?|Receives the updates of the orders of this project.
terms_and_conditions_url?|Shown on the hosted payment page.
locale?string|nulltimezone?string|nullpermissions?What the API key of the project may do. Ignored when a project changes itself.
settings?Settings of the project, such as the payment method settings.
The new project, with its API key.
application/json- response
id?stringuuidcreated?stringdate-timemodified?|date-timeexternal_project_id?stringYour identifier of the project.
apikey?stringThe API key of the project. <redacted> when the user may not read it.
status*string"inactive""active-testing""active-production"trade_name*stringdescription*stringwebsite_url*stringwebhook_url?|Receives the updates of the orders of this project.
terms_and_conditions_url?|Shown on the hosted payment page.
locale?string|nulltimezone?string|nullpermissions?What the API key of the project may do. Ignored when a project changes itself.
contracts?The contracts per payment method.
settings?Settings of the project, such as the payment method settings.
ip_whitelist?array<string>When set, the API key only works from these IP addresses or CIDR ranges.
curl -X POST 'https://api.example.com/v1/merchants/self/projects/' \ --user "$API_KEY:" \ -H 'Content-Type: application/json' \ -d '{ "trade_name": "Acme Coffee", "description": "Webshop", "website_url": "https://www.example.com/", "webhook_url": "https://www.example.com/webhook/", "status": "active-testing"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "modified": "2019-08-24T14:15:22Z", "external_project_id": "string", "apikey": "string", "status": "inactive", "trade_name": "string", "description": "string", "website_url": "string", "webhook_url": "string", "terms_and_conditions_url": "string", "locale": "string", "timezone": "string", "permissions": { "property1": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true }, "property2": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true } }, "contracts": {}, "settings": {}, "ip_whitelist": [ "string" ]}